
package = "sga-daemon"
version = "scm-1"

source = {
   -- url = "git://git.tecgraf.puc-rio.br/csbase-dev/sgarest-daemon.git",
   url = "file://.",
}

description = {
   summary = "SGA daemon based on REST",
   detailed = [[
      A SGA daemon: this is the daemon that handles execution of jobs
      for CSBase applications. This version is based on REST: it
      talks to the CSBase server using only HTTP-based hypermedia APIs.
      It runs a HTTP server taking requests from the server, and it also
      pings back to the server via HTTP.
   ]],
}

dependencies = {
   "lua >= 5.2",
   "lua-cjson == 2.1.0",
   "dkjson",
   "lua-requests",
   "luafilesystem",
   "copas",
   "safer",
   "restserver == 0.1",
   "restserver-xavante == 0.2",
   "lualogging",
   "serpent",
   "lua-schema", -- https://raw.githubusercontent.com/hishamhm/lua-schema/features/lua-schema-scm-1.rockspec
}

build = {
   type = "builtin",
   modules = {
      ["sga.client"] = "sga/client.lua",
      ["sga.server"] = "sga/server.lua",
      ["sga.application"] = "sga/application.lua",
      ["sga.configuration"] = "sga/configuration.lua",
      ["sga.joblist"] = "sga/joblist.lua",
      ["sga.util"] = "sga/util.lua",
      ["sga.filemonitor"] = "sga/filemonitor.lua",
   },
   install = {
      bin = {
         ["sgad"] = "sgad",
      }
   }
}
